import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../entities/user_entity.dart';
import '../repository/auth_repository.dart';

class UpdateProfileUseCase
    implements UseCase<DataState<UserEntity>, ProfileParams> {
  final AuthRepository repository;
  UpdateProfileUseCase(this.repository);

  @override
  Future<DataState<UserEntity>> call(ProfileParams params) =>
      repository.updateProfile(params);
}
